Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Mon, 21 Jul 2025 18:12:04 +0200

Samuel Thibault, le lun. 21 juil. 2025 18:08:28 +0200, a ecrit:
> Samuel Thibault, le lun. 21 juil. 2025 18:00:47 +0200, a ecrit:
> > I have tried the attached test which reproduces both ways and reports
> > the time to achieve one million iteration, on my system:
> > 
> > - with rxvt: non-optimized way takes ~1.9s, optimized way takes ~2.1s.
> > - with mate-terminal: non-optimized way takes ~1.8s, optimized way takes
> >   ~2.0s.
> 
> On the Linux console (fbcon)
> - non-optimized way takes ~7.2s
> - optimized way takes ~10.0s

I also tried through ssh in rxvt, which is a case where the additional
byte is supposed to matter. non-optimized way takes ~5.4s, optimized way
takes ~7.0s...

Samuel